
%global meadversion 1.8
%global namedversion 1.8-redhat-2
%global meadalpha .redhat_2
%global meadrel .2
%global serial 1

%bcond_without mead

%{?scl:%scl_package snakeyaml}
%{!?scl:%global eap -eap6}
%{?scl:%global javadir %{_javadir}/snakeyaml-eap6}
%{!?scl:%global javadir %{_javadir}/snakeyaml-eap6}

%define maven_version 1.8-redhat-2

Name:           %{?scl_prefix}snakeyaml%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SnakeYAML
Group:          Development/Java

%if %with mead
Source100: org.yaml-snakeyaml-1.8-redhat-2-sources.zip
Source101: org.yaml-snakeyaml-1.8-redhat-2-patches.zip
Source102: snakeyaml-1.8-redhat-2-sources.jar
Source103: snakeyaml-1.8-redhat-2.jar
Source104: snakeyaml-1.8-redhat-2-javadoc.jar
Source105: snakeyaml-1.8-redhat-2.pom
%endif

License:        ASL 2.0
URL:            http://www.snakeyaml.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
%{?scl:Requires: %scl_runtime}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{?scl_prefix}snakeyaml%{?eap}-%{namedversion}-%{release}-root

%description
YAML 1.1 parser and emitter for Java.

%prep
%setup -q -n snakeyaml -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{javadir}
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}.jar %{buildroot}%{javadir}/snakeyaml-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/snakeyaml-%{namedversion}-sources.jar %{buildroot}%{javadir}/snakeyaml-%{namedversion}-sources.jar
(cd %{buildroot}%{javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS LICENSE.txt
%dir %{javadir}
%{javadir}/snakeyaml-%{namedversion}.jar
%{javadir}/snakeyaml.jar
%{javadir}/snakeyaml-%{namedversion}-sources.jar
%{javadir}/snakeyaml-sources.jar

%changelog
* Fri May 23 2014 David Walluck <dwalluck@redhat.com> - 1.8-1.redhat_2.2
- release

